## org.apache.hadoop.mapred.join
Class Parser.Token

    java.lang.Object
      org.apache.hadoop.mapred.join.Parser.Token

Direct Known Subclasses:
  Parser.NodeToken, Parser.NumToken, Parser.StrToken

Enclosing class:
  Parser

    public static class Parser.Token

extends Object

Tagged-union type for tokens from the join expression.

See Also:
  `Parser.TType`

Method Summary
`Parser.Node` `getNode()`
`double` `getNum()`
`String` `getStr()`
`Parser.TType` `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getType

    public Parser.TType getType()

### getNode

    public Parser.Node getNode()
                        throws IOException

  Throws:
    `IOException`

### getNum

    public double getNum()
                  throws IOException

  Throws:
    `IOException`

### getStr

    public String getStr()
                  throws IOException

  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation